Bug 11817 - Japanese app-defaults file broken in netscape-common-4.73-1
Japanese app-defaults file broken in netscape-common-4.73-1
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-06-01 08:21 EDT by kanazawa
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-20 03:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kanazawa 2000-06-01 08:21:05 EDT
The Japanese app-defaults file for Netscape 4.73 included in
netscape-common-4.73-1.i386.rpm (a recent update) is broken.  When LANG is
set to ja,    netscape-communicator starts, but the menu strings do not
show up in the top area, among other places.
Comment 1 kanazawa 2000-06-20 03:56:50 EDT
The previous posting was inaccurate.  The bug in
netscape-{common,communicator}-4.73-1.i386.rpm was that netscape refuses to run
when LANG is set to either ja_JP, ja_JP.eucJP, or ja_JP.ujis.  (I only get the
license agreement dialogue and nothing happens after that.)  When LANG is set to
ja, netscape starts, but then a lot of menu strings are missing.  This behavior
was the same with netscape-4.72, so it's not really the problem.
Comment 2 Bill Nottingham 2000-08-07 00:46:54 EDT
I can't reproduce this with the current package (4.74-4);
running netscape with 'LANG=ja_JP.ujis' shows the menu
items in Japanese.
Comment 3 kanazawa 2000-08-14 03:19:03 EDT
The same problem persists with netscape-{common,communicator}-4.74-0.6.2 for
me.  I have found that I can avoid the problem by copying the Japanese
app-defaults file that came with netscape-common-4.72 to my home directory
(changing the string "4.72" to "4.74").  With the  app-defaults for 4.72,
netscape-communicator-4.72 runs normally with LANG set to ja_JP.ujis.
Comment 4 Bill Nottingham 2000-08-14 10:52:42 EDT
I *still* can't reproduce this, with LANG set to ja_JP.ujis,
netscape runs in japanese fine. Make sure you don't have
any rogue app-defaults files lying around.
Comment 5 kanazawa 2000-08-14 23:39:37 EDT
What I meant in the last posting was that netscape-communicator-4.74 (not 4.72)
works fine with the old app-defaults file from netscape-common-4.72 (with the
string "4.72" replaced by "4.74" everywhere).
No, I don't have any rogue app-defaults files.  I have a few netscape-related
lines in my .Xdefaults file, but that shouldn't be the problem because the
problem disappears with the old app-defaults file.
I'm running netscape-communicator-4.74-0.6.2 on Red Hat Linux 6.2J, so the setup
is not completely the same as yours.
Looking at the differences between the app-defaults file of 4.74 and that of
4.72, I do suspect that the problem is due to the new app-defaults file.

Note You need to log in before you can comment on or make changes to this bug.